NobGit
public nobgit read

NobMail

Based on mailcow: dockerized

Languages

Repository composition by tracked source files.

PHP
PHP 49% JavaScript 35% HTML 9% CSS 4% Shell 2% Python 1% Lua 0% Perl 0% Ruby 0% SCSS 0%
Create file Wiki Documentation
Clone
https://nobgit.com/orgs/nobgit/nobmail.git
ssh://[email protected]:2222/orgs/nobgit/nobmail.git

Trace

data/assets/mysql/docker-entrypoint.sh

Trace helps you understand code history line by line. See who changed each line, when it changed, and which commit introduced it.

docker-entrypoint.sh on main
Author Date Commit Line Code
André almost 8 years ago 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
1
#!/bin/bash
Open commit View diff
1 #!/bin/bash
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
2
set -eo pipefail
Open commit View diff
2 set -eo pipefail
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
3
shopt -s nullglob
Open commit View diff
3 shopt -s nullglob
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
4
Open commit View diff
4
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
5
openssl req -x509 -sha256 -newkey rsa:2048 -keyout /var/lib/mysql/sql.key -out /var/lib/mysql/sql.crt -days 3650 -nodes -subj '/CN=mysql'
Open commit View diff
5 openssl req -x509 -sha256 -newkey rsa:2048 -keyout /var/lib/mysql/sql.key -out /var/lib/mysql/sql.crt -days 3650 -nodes -subj '/CN=mysql'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
6
Open commit View diff
6
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
7
# if command starts with an option, prepend mysqld
Open commit View diff
7 # if command starts with an option, prepend mysqld
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
8
if [ "${1:0:1}" = '-' ]; then
Open commit View diff
8 if [ "${1:0:1}" = '-' ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
9
	set -- mysqld "$@"
Open commit View diff
9 set -- mysqld "$@"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
10
fi
Open commit View diff
10 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
11
Open commit View diff
11
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
12
# skip setup if they want an option that stops mysqld
Open commit View diff
12 # skip setup if they want an option that stops mysqld
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
13
wantHelp=
Open commit View diff
13 wantHelp=
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
14
for arg; do
Open commit View diff
14 for arg; do
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
15
	case "$arg" in
Open commit View diff
15 case "$arg" in
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
16
		-'?'|--help|--print-defaults|-V|--version)
Open commit View diff
16 -'?'|--help|--print-defaults|-V|--version)
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
17
			wantHelp=1
Open commit View diff
17 wantHelp=1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
18
			break
Open commit View diff
18 break
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
19
			;;
Open commit View diff
19 ;;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
20
	esac
Open commit View diff
20 esac
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
21
done
Open commit View diff
21 done
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
22
Open commit View diff
22
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
23
# usage: file_env VAR [DEFAULT]
Open commit View diff
23 # usage: file_env VAR [DEFAULT]
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
24
#    ie: file_env 'XYZ_DB_PASSWORD' 'example'
Open commit View diff
24 # ie: file_env 'XYZ_DB_PASSWORD' 'example'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
25
# (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
Open commit View diff
25 # (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
26
#  "$XYZ_DB_PASSWORD" from a file, especially for Docker's secrets feature)
Open commit View diff
26 # "$XYZ_DB_PASSWORD" from a file, especially for Docker's secrets feature)
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
27
file_env() {
Open commit View diff
27 file_env() {
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
28
	local var="$1"
Open commit View diff
28 local var="$1"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
29
	local fileVar="${var}_FILE"
Open commit View diff
29 local fileVar="${var}_FILE"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
30
	local def="${2:-}"
Open commit View diff
30 local def="${2:-}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
31
	if [ "${!var:-}" ] && [ "${!fileVar:-}" ]; then
Open commit View diff
31 if [ "${!var:-}" ] && [ "${!fileVar:-}" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
32
		echo >&2 "error: both $var and $fileVar are set (but are exclusive)"
Open commit View diff
32 echo >&2 "error: both $var and $fileVar are set (but are exclusive)"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
33
		exit 1
Open commit View diff
33 exit 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
34
	fi
Open commit View diff
34 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
35
	local val="$def"
Open commit View diff
35 local val="$def"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
36
	if [ "${!var:-}" ]; then
Open commit View diff
36 if [ "${!var:-}" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
37
		val="${!var}"
Open commit View diff
37 val="${!var}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
38
	elif [ "${!fileVar:-}" ]; then
Open commit View diff
38 elif [ "${!fileVar:-}" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
39
		val="$(< "${!fileVar}")"
Open commit View diff
39 val="$(< "${!fileVar}")"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
40
	fi
Open commit View diff
40 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
41
	export "$var"="$val"
Open commit View diff
41 export "$var"="$val"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
42
	unset "$fileVar"
Open commit View diff
42 unset "$fileVar"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
43
}
Open commit View diff
43 }
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
44
Open commit View diff
44
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
45
_check_config() {
Open commit View diff
45 _check_config() {
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
46
	toRun=( "$@" --verbose --help --log-bin-index="$(mktemp -u)" )
Open commit View diff
46 toRun=( "$@" --verbose --help --log-bin-index="$(mktemp -u)" )
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
47
	if ! errors="$("${toRun[@]}" 2>&1 >/dev/null)"; then
Open commit View diff
47 if ! errors="$("${toRun[@]}" 2>&1 >/dev/null)"; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
48
		cat >&2 <<-EOM
Open commit View diff
48 cat >&2 <<-EOM
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
49
Open commit View diff
49
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
50
			ERROR: mysqld failed while attempting to check config
Open commit View diff
50 ERROR: mysqld failed while attempting to check config
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
51
			command was: "${toRun[*]}"
Open commit View diff
51 command was: "${toRun[*]}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
52
Open commit View diff
52
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
53
			$errors
Open commit View diff
53 $errors
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
54
		EOM
Open commit View diff
54 EOM
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
55
		exit 1
Open commit View diff
55 exit 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
56
	fi
Open commit View diff
56 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
57
}
Open commit View diff
57 }
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
58
Open commit View diff
58
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
59
# Fetch value from server config
Open commit View diff
59 # Fetch value from server config
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
60
# We use mysqld --verbose --help instead of my_print_defaults because the
Open commit View diff
60 # We use mysqld --verbose --help instead of my_print_defaults because the
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
61
# latter only show values present in config files, and not server defaults
Open commit View diff
61 # latter only show values present in config files, and not server defaults
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
62
_get_config() {
Open commit View diff
62 _get_config() {
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
63
	local conf="$1"; shift
Open commit View diff
63 local conf="$1"; shift
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
64
	"$@" --verbose --help --log-bin-index="$(mktemp -u)" 2>/dev/null | awk '$1 == "'"$conf"'" { print $2; exit }'
Open commit View diff
64 "$@" --verbose --help --log-bin-index="$(mktemp -u)" 2>/dev/null | awk '$1 == "'"$conf"'" { print $2; exit }'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
65
}
Open commit View diff
65 }
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
66
Open commit View diff
66
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
67
# allow the container to be started with `--user`
Open commit View diff
67 # allow the container to be started with `--user`
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
68
if [ "$1" = 'mysqld' -a -z "$wantHelp" -a "$(id -u)" = '0' ]; then
Open commit View diff
68 if [ "$1" = 'mysqld' -a -z "$wantHelp" -a "$(id -u)" = '0' ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
69
	_check_config "$@"
Open commit View diff
69 _check_config "$@"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
70
	DATADIR="$(_get_config 'datadir' "$@")"
Open commit View diff
70 DATADIR="$(_get_config 'datadir' "$@")"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
71
	mkdir -p "$DATADIR"
Open commit View diff
71 mkdir -p "$DATADIR"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
72
	chown -R mysql:mysql "$DATADIR"
Open commit View diff
72 chown -R mysql:mysql "$DATADIR"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
73
	exec gosu mysql "$BASH_SOURCE" "$@"
Open commit View diff
73 exec gosu mysql "$BASH_SOURCE" "$@"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
74
fi
Open commit View diff
74 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
75
Open commit View diff
75
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
76
if [ "$1" = 'mysqld' -a -z "$wantHelp" ]; then
Open commit View diff
76 if [ "$1" = 'mysqld' -a -z "$wantHelp" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
77
	# still need to check config, container may have started with --user
Open commit View diff
77 # still need to check config, container may have started with --user
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
78
	_check_config "$@"
Open commit View diff
78 _check_config "$@"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
79
	# Get config
Open commit View diff
79 # Get config
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
80
	DATADIR="$(_get_config 'datadir' "$@")"
Open commit View diff
80 DATADIR="$(_get_config 'datadir' "$@")"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
81
Open commit View diff
81
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
82
	if [ ! -d "$DATADIR/mysql" ]; then
Open commit View diff
82 if [ ! -d "$DATADIR/mysql" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
83
		file_env 'MYSQL_ROOT_PASSWORD'
Open commit View diff
83 file_env 'MYSQL_ROOT_PASSWORD'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
84
		if [ -z "$MYSQL_ROOT_PASSWORD" -a -z "$MYSQL_ALLOW_EMPTY_PASSWORD" -a -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
Open commit View diff
84 if [ -z "$MYSQL_ROOT_PASSWORD" -a -z "$MYSQL_ALLOW_EMPTY_PASSWORD" -a -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
85
			echo >&2 'error: database is uninitialized and password option is not specified '
Open commit View diff
85 echo >&2 'error: database is uninitialized and password option is not specified '
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
86
			echo >&2 '  You need to specify one of MYSQL_ROOT_PASSWORD, MYSQL_ALLOW_EMPTY_PASSWORD and MYSQL_RANDOM_ROOT_PASSWORD'
Open commit View diff
86 echo >&2 ' You need to specify one of MYSQL_ROOT_PASSWORD, MYSQL_ALLOW_EMPTY_PASSWORD and MYSQL_RANDOM_ROOT_PASSWORD'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
87
			exit 1
Open commit View diff
87 exit 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
88
		fi
Open commit View diff
88 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
89
Open commit View diff
89
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
90
		mkdir -p "$DATADIR"
Open commit View diff
90 mkdir -p "$DATADIR"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
91
Open commit View diff
91
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
92
		echo 'Initializing database'
Open commit View diff
92 echo 'Initializing database'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
93
		# "Other options are passed to mysqld." (so we pass all "mysqld" arguments directly here)
Open commit View diff
93 # "Other options are passed to mysqld." (so we pass all "mysqld" arguments directly here)
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
94
		mysql_install_db --datadir="$DATADIR" --rpm "${@:2}"
Open commit View diff
94 mysql_install_db --datadir="$DATADIR" --rpm "${@:2}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
95
		echo 'Database initialized'
Open commit View diff
95 echo 'Database initialized'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
96
Open commit View diff
96
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
97
		SOCKET="$(_get_config 'socket' "$@")"
Open commit View diff
97 SOCKET="$(_get_config 'socket' "$@")"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
98
		"$@" --skip-networking --socket="${SOCKET}" &
Open commit View diff
98 "$@" --skip-networking --socket="${SOCKET}" &
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
99
		pid="$!"
Open commit View diff
99 pid="$!"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
100
Open commit View diff
100
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
101
		mysql=( mysql --protocol=socket -uroot -hlocalhost --socket="${SOCKET}" )
Open commit View diff
101 mysql=( mysql --protocol=socket -uroot -hlocalhost --socket="${SOCKET}" )
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
102
Open commit View diff
102
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
103
		for i in {30..0}; do
Open commit View diff
103 for i in {30..0}; do
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
104
			if echo 'SELECT 1' | "${mysql[@]}" &> /dev/null; then
Open commit View diff
104 if echo 'SELECT 1' | "${mysql[@]}" &> /dev/null; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
105
				break
Open commit View diff
105 break
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
106
			fi
Open commit View diff
106 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
107
			echo 'MySQL init process in progress...'
Open commit View diff
107 echo 'MySQL init process in progress...'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
108
			sleep 1
Open commit View diff
108 sleep 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
109
		done
Open commit View diff
109 done
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
110
		if [ "$i" = 0 ]; then
Open commit View diff
110 if [ "$i" = 0 ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
111
			echo >&2 'MySQL init process failed.'
Open commit View diff
111 echo >&2 'MySQL init process failed.'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
112
			exit 1
Open commit View diff
112 exit 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
113
		fi
Open commit View diff
113 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
114
Open commit View diff
114
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
115
		if [ -z "$MYSQL_INITDB_SKIP_TZINFO" ]; then
Open commit View diff
115 if [ -z "$MYSQL_INITDB_SKIP_TZINFO" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
116
			# sed is for https://bugs.mysql.com/bug.php?id=20545
Open commit View diff
116 # sed is for https://bugs.mysql.com/bug.php?id=20545
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
117
			mysql_tzinfo_to_sql /usr/share/zoneinfo | sed 's/Local time zone must be set--see zic manual page/FCTY/' | "${mysql[@]}" mysql
Open commit View diff
117 mysql_tzinfo_to_sql /usr/share/zoneinfo | sed 's/Local time zone must be set--see zic manual page/FCTY/' | "${mysql[@]}" mysql
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
118
		fi
Open commit View diff
118 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
119
Open commit View diff
119
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
120
		if [ ! -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
Open commit View diff
120 if [ ! -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
121
			export MYSQL_ROOT_PASSWORD="$(pwgen -1 32)"
Open commit View diff
121 export MYSQL_ROOT_PASSWORD="$(pwgen -1 32)"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
122
			echo "GENERATED ROOT PASSWORD: $MYSQL_ROOT_PASSWORD"
Open commit View diff
122 echo "GENERATED ROOT PASSWORD: $MYSQL_ROOT_PASSWORD"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
123
		fi
Open commit View diff
123 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
124
Open commit View diff
124
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
125
		rootCreate=
Open commit View diff
125 rootCreate=
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
126
		# default root to listen for connections from anywhere
Open commit View diff
126 # default root to listen for connections from anywhere
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
127
		file_env 'MYSQL_ROOT_HOST' '%'
Open commit View diff
127 file_env 'MYSQL_ROOT_HOST' '%'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
128
		if [ ! -z "$MYSQL_ROOT_HOST" -a "$MYSQL_ROOT_HOST" != 'localhost' ]; then
Open commit View diff
128 if [ ! -z "$MYSQL_ROOT_HOST" -a "$MYSQL_ROOT_HOST" != 'localhost' ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
129
			# no, we don't care if read finds a terminating character in this heredoc
Open commit View diff
129 # no, we don't care if read finds a terminating character in this heredoc
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
130
			# https://unix.stackexchange.com/questions/265149/why-is-set-o-errexit-breaking-this-read-heredoc-expression/265151#265151
Open commit View diff
130 # https://unix.stackexchange.com/questions/265149/why-is-set-o-errexit-breaking-this-read-heredoc-expression/265151#265151
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
131
			read -r -d '' rootCreate <<-EOSQL || true
Open commit View diff
131 read -r -d '' rootCreate <<-EOSQL || true
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
132
				CREATE USER 'root'@'${MYSQL_ROOT_HOST}' IDENTIFIED BY '${MYSQL_ROOT_PASSWORD}' ;
Open commit View diff
132 CREATE USER 'root'@'${MYSQL_ROOT_HOST}' IDENTIFIED BY '${MYSQL_ROOT_PASSWORD}' ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
133
				GRANT ALL ON *.* TO 'root'@'${MYSQL_ROOT_HOST}' WITH GRANT OPTION ;
Open commit View diff
133 GRANT ALL ON *.* TO 'root'@'${MYSQL_ROOT_HOST}' WITH GRANT OPTION ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
134
			EOSQL
Open commit View diff
134 EOSQL
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
135
		fi
Open commit View diff
135 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
136
Open commit View diff
136
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
137
		"${mysql[@]}" <<-EOSQL
Open commit View diff
137 "${mysql[@]}" <<-EOSQL
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
138
			-- What's done in this file shouldn't be replicated
Open commit View diff
138 -- What's done in this file shouldn't be replicated
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
139
			--  or products like mysql-fabric won't work
Open commit View diff
139 -- or products like mysql-fabric won't work
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
140
			SET @@SESSION.SQL_LOG_BIN=0;
Open commit View diff
140 SET @@SESSION.SQL_LOG_BIN=0;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
141
Open commit View diff
141
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
142
			DELETE FROM mysql.user WHERE user NOT IN ('mysql.sys', 'mysqlxsys', 'root') OR host NOT IN ('localhost') ;
Open commit View diff
142 DELETE FROM mysql.user WHERE user NOT IN ('mysql.sys', 'mysqlxsys', 'root') OR host NOT IN ('localhost') ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
143
			SET PASSWORD FOR 'root'@'localhost'=PASSWORD('${MYSQL_ROOT_PASSWORD}') ;
Open commit View diff
143 SET PASSWORD FOR 'root'@'localhost'=PASSWORD('${MYSQL_ROOT_PASSWORD}') ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
144
			GRANT ALL ON *.* TO 'root'@'localhost' WITH GRANT OPTION ;
Open commit View diff
144 GRANT ALL ON *.* TO 'root'@'localhost' WITH GRANT OPTION ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
145
			${rootCreate}
Open commit View diff
145 ${rootCreate}
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
146
			DROP DATABASE IF EXISTS test ;
Open commit View diff
146 DROP DATABASE IF EXISTS test ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
147
			FLUSH PRIVILEGES ;
Open commit View diff
147 FLUSH PRIVILEGES ;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
148
		EOSQL
Open commit View diff
148 EOSQL
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
149
Open commit View diff
149
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
150
		if [ ! -z "$MYSQL_ROOT_PASSWORD" ]; then
Open commit View diff
150 if [ ! -z "$MYSQL_ROOT_PASSWORD" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
151
			mysql+=( -p"${MYSQL_ROOT_PASSWORD}" )
Open commit View diff
151 mysql+=( -p"${MYSQL_ROOT_PASSWORD}" )
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
152
		fi
Open commit View diff
152 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
153
Open commit View diff
153
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
154
		file_env 'MYSQL_DATABASE'
Open commit View diff
154 file_env 'MYSQL_DATABASE'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
155
		if [ "$MYSQL_DATABASE" ]; then
Open commit View diff
155 if [ "$MYSQL_DATABASE" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
156
			echo "CREATE DATABASE IF NOT EXISTS \`$MYSQL_DATABASE\` ;" | "${mysql[@]}"
Open commit View diff
156 echo "CREATE DATABASE IF NOT EXISTS \`$MYSQL_DATABASE\` ;" | "${mysql[@]}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
157
			mysql+=( "$MYSQL_DATABASE" )
Open commit View diff
157 mysql+=( "$MYSQL_DATABASE" )
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
158
		fi
Open commit View diff
158 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
159
Open commit View diff
159
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
160
		file_env 'MYSQL_USER'
Open commit View diff
160 file_env 'MYSQL_USER'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
161
		file_env 'MYSQL_PASSWORD'
Open commit View diff
161 file_env 'MYSQL_PASSWORD'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
162
		if [ "$MYSQL_USER" -a "$MYSQL_PASSWORD" ]; then
Open commit View diff
162 if [ "$MYSQL_USER" -a "$MYSQL_PASSWORD" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
163
			echo "CREATE USER '$MYSQL_USER'@'%' IDENTIFIED BY '$MYSQL_PASSWORD' ;" | "${mysql[@]}"
Open commit View diff
163 echo "CREATE USER '$MYSQL_USER'@'%' IDENTIFIED BY '$MYSQL_PASSWORD' ;" | "${mysql[@]}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
164
Open commit View diff
164
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
165
			if [ "$MYSQL_DATABASE" ]; then
Open commit View diff
165 if [ "$MYSQL_DATABASE" ]; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
166
				echo "GRANT ALL ON \`$MYSQL_DATABASE\`.* TO '$MYSQL_USER'@'%' ;" | "${mysql[@]}"
Open commit View diff
166 echo "GRANT ALL ON \`$MYSQL_DATABASE\`.* TO '$MYSQL_USER'@'%' ;" | "${mysql[@]}"
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
167
			fi
Open commit View diff
167 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
168
		fi
Open commit View diff
168 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
169
Open commit View diff
169
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
170
		echo
Open commit View diff
170 echo
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
171
		for f in /docker-entrypoint-initdb.d/*; do
Open commit View diff
171 for f in /docker-entrypoint-initdb.d/*; do
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
172
			case "$f" in
Open commit View diff
172 case "$f" in
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
173
				*.sh)     echo "$0: running $f"; . "$f" ;;
Open commit View diff
173 *.sh) echo "$0: running $f"; . "$f" ;;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
174
				*.sql)    echo "$0: running $f"; "${mysql[@]}" < "$f"; echo ;;
Open commit View diff
174 *.sql) echo "$0: running $f"; "${mysql[@]}" < "$f"; echo ;;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
175
				*.sql.gz) echo "$0: running $f"; gunzip -c "$f" | "${mysql[@]}"; echo ;;
Open commit View diff
175 *.sql.gz) echo "$0: running $f"; gunzip -c "$f" | "${mysql[@]}"; echo ;;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
176
				*)        echo "$0: ignoring $f" ;;
Open commit View diff
176 *) echo "$0: ignoring $f" ;;
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
177
			esac
Open commit View diff
177 esac
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
178
			echo
Open commit View diff
178 echo
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
179
		done
Open commit View diff
179 done
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
180
Open commit View diff
180
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
181
		if ! kill -s TERM "$pid" || ! wait "$pid"; then
Open commit View diff
181 if ! kill -s TERM "$pid" || ! wait "$pid"; then
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
182
			echo >&2 'MySQL init process failed.'
Open commit View diff
182 echo >&2 'MySQL init process failed.'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
183
			exit 1
Open commit View diff
183 exit 1
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
184
		fi
Open commit View diff
184 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
185
Open commit View diff
185
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
186
		echo
Open commit View diff
186 echo
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
187
		echo 'MySQL init process done. Ready for start up.'
Open commit View diff
187 echo 'MySQL init process done. Ready for start up.'
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
188
		echo
Open commit View diff
188 echo
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
189
	fi
Open commit View diff
189 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
190
fi
Open commit View diff
190 fi
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
191
Open commit View diff
191
same change 0fb43f4

[Docker API] Use TLS encryption for communication with "on-the-fly" created key paris (non-exposed)

Full commit hash
0fb43f49161554dbe0e66cd6170ad00166efc8b3
Author
André <[email protected]>
Date
almost 8 years ago
Selected line
192
exec "$@"
Open commit View diff
192 exec "$@"